package com.secspace.lib.common.function.model;

import android.arch.persistence.room.ColumnInfo;
import android.arch.persistence.room.Entity;
import android.arch.persistence.room.Index;
import android.support.annotation.NonNull;

import java.io.Serializable;

@Entity(tableName = "use_app", primaryKeys = {"app_package"}, indices = {@Index("app_package")})
public class UseApp implements Serializable {
    @ColumnInfo(name = "app_package")
    private @NonNull String appPackage;

    @ColumnInfo(name = "app_name")
    private String appName;

    @ColumnInfo(name = "icon")
    private String icon;

    @ColumnInfo(name = "upload_time")
    private Long uploadTime;

    public String getAppPackage() {
        return appPackage;
    }

    public void setAppPackage(String appPackage) {
        this.appPackage = appPackage;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public Long getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(Long uploadTime) {
        this.uploadTime = uploadTime;
    }
}
